import { request } from '/src/index.js';

const res = 'User';

export default {
    get(id) {
        return request({
            url: `api/${res}/get`,
            method: 'get',
            params: {
                id
            }
        });
    },
    setCurrentFactory(id) {
        return request({
            url: `api/${res}/setCurrentFactory`,
            method: 'post',
            data: {
                id
            }
        });
    },
    resetPassword(id) {
        return request({
            url: `api/${res}/resetPassword`,
            method: 'get',
            params: {
                userID: id
            }
        });
    }
};
